Name:           cephadm-ansible
Version:        1.14.0
Release:        1%{?dist}
Summary:        ansible playbooks to be used with cephadm
License:        ASL 2.0
URL:            https://github.com/ceph/cephadm-ansible
Source0:        https://github.com/ceph/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires: ansible-core >= 2.9
Requires: ansible-collection-community-general

%description
cephadm-ansible is a collection of Ansible playbooks to simplify workflows that are not covered by cephadm.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{_datarootdir}/cephadm-ansible

for f in ansible.cfg *.yml ceph_defaults library module_utils validate; do
  cp -a $f %{buildroot}%{_datarootdir}/cephadm-ansible
done

%files
%doc README.md
%license LICENSE
%{_datarootdir}/cephadm-ansible

%changelog
* Tue Feb 21 2023 Ken Dreyer <kdreyer@redhat.com> - 1.14.0-1
- Import v1.14.0 upstream release (rhbz#2168232)

* Wed Feb 08 2023 Ken Dreyer <kdreyer@redhat.com> - 1.11.0-1
- Import v1.11.0 upstream release (rhbz#2097680)

* Mon Jan 30 2023 Thomas Serlin <tserlin@redhat.com> - 1.10.0-1
- Import v1.10.0 upstream release (rhbz#2097680)

* Mon Jan 30 2023 Thomas Serlin <tserlin@redhat.com> - 1.9.0-1
- Import v1.9.0 upstream release (rhbz#2040337)

* Tue Jul 05 2022 Thomas Serlin <tserlin@redhat.com> - 1.8.0-1
- Import v1.8.0 upstream release (rhbz#2103673, rhbz#2103686)

* Fri Jun 24 2022 Thomas Serlin <tserlin@redhat.com> - 1.7.0-1
- Import v1.7.0 upstream release (rhbz#2099374)

* Wed Jun 15 2022 Thomas Serlin <tserlin@redhat.com> - 1.6.0-1
- Import v1.6.0 upstream release

* Fri Jun 10 2022 Thomas Serlin <tserlin@redhat.com> - 1.5.0-1
- Import v1.5.0 upstream release (rhbz#2037752)

* Wed Jun 08 2022 Ken Dreyer <kdreyer@redhat.com> - 1.4.0-1
- Import v1.4.0 upstream release (rhbz#1967186)

* Tue May 31 2022 Thomas Serlin <tserlin@redhat.com> - 1.3.0-1
- Import v1.3.0 upstream release (rhbz#2061501)

* Fri May 27 2022 Thomas Serlin <tserlin@redhat.com> - 1.2.0-1
- Import v1.2.0 upstream release (rhbz#2008402)

* Mon May 23 2022 Ken Dreyer <kdreyer@redhat.com> - 1.1.0-1
- Import latest upstream release (rhbz#1967186)

* Wed Jan 26 2022 Ken Dreyer <kdreyer@redhat.com> - 0.1-4.g6754c10
- Import latest upstream commit (6754c10) (rhbz#2039413)

* Tue Oct 19 2021 Thomas Serlin <tserlin@redhat.com> - 0.1-3.gf273ce6
- Import latest upstream commit (f273ce6)

* Mon Sep 13 2021 Thomas Serlin <tserlin@redhat.com> - 0.1-2.g8019cf9
- Import latest upstream commit (8019cf9)

* Tue Jun 01 2021 Thomas Serlin <tserlin@redhat.com> - 0.1-1.g5a4412f
- Import latest upstream commit (5a4412f)


